MetacatUI - Task #6509

Feature # 6495 (Resolved): Visualization of certain data files types

Display images in the metadata view
04/10/2014 03:28 PM - Lauren Walker

Status: Resolved Start date: 04/25/2014
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.7.0 Spent time: 0.00 hour
Description

Grab image files listed in the resource map and display them in the metadata view. Use a lightbox JS library to create a scrollable

gallery with enlarged images.

Subtasks:

Task # 6534: Test packages with multiple images

Task # 6535: Test images with high resolution

Task # 6536: Test all image file types

Task # 6537: Test image with transparency for design purposes
Task # 6538: Test small images for design purposes

Task # 6539: Do not preload all images in the lightbox gallery

Task # 6540: Display an image caption from information in the metadata

Task # 6543: Display PDFs from data packages in the MetadataView
Task # 6550: Display images as thumbnails

Resolved
Resolved
Resolved
Resolved
Resolved
Resolved
Resolved
Resolved
Resolved

History

#1 - 04/16/2014 05:27 PM - Lauren Walker

The following formatlds will prompt the Ul to display the file in the metadata view:

image/gif
image/jp2
image/jpeg
image/png
image/svg xml
imageftiff
image/bmp

POssibly:
application/pdf

#2 - 05/07/2015 01:11 PM - Lauren Walker

- Status changed from New to Resolved
